Skip to main content
POST
/
v1
/
portfolios
/
{portfolio_id}
/
address_book
Create Address Book Entry
curl --request POST \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/address_book \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": "<string>",
  "currency_symbol": "<string>",
  "name": "<string>",
  "account_identifier": "<string>",
  "chain_ids": [
    "<string>"
  ]
}
'
{
  "activity_type": "ACTIVITY_TYPE_GOVERNANCE_VOTE",
  "num_approvals_remaining": 123,
  "activity_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
AddressBookService addressBookService = PrimeServiceFactory.createAddressBookService(client);

CreateAddressBookEntryRequest request = new CreateAddressBookEntryRequest.Builder("portfolio_id")
        .accountIdentifier("account_identifier")
        .address("address")
        .currencySymbol("currency_symbol")
        .name("name")
        .build();

CreateAddressBookEntryResponse response = addressBookService.createAddressBookEntry(request);
For more information, please visit the Prime Java SDK.

Path Parameters

portfolio_id
string
required

Portfolio ID

Body

application/json
address
string
required

Crypto address to add

currency_symbol
string
required

Currency symbol of address to add

name
string
required

Name of address book entry

account_identifier
string

Account Identifier (memo/destination tag)

chain_ids
string[]

List of compatible chain IDs for the address, empty for Solana

Response

200 - application/json

A successful response.

activity_type
enum<string>
required
Available options:
ACTIVITY_TYPE_GOVERNANCE_VOTE,
ACTIVITY_TYPE_INVITATION,
ACTIVITY_TYPE_WALLET_CHANGE,
ACTIVITY_TYPE_API_KEY_CHANGE,
ACTIVITY_TYPE_SETTINGS_CHANGE,
ACTIVITY_TYPE_BILLING_PREFERENCE_CHANGE,
ACTIVITY_TYPE_PAYMENT_METHOD_CHANGE,
ACTIVITY_TYPE_WITHDRAWAL,
ACTIVITY_TYPE_DEPOSIT,
ACTIVITY_TYPE_CREATE_WALLET,
ACTIVITY_TYPE_REMOVE_WALLET,
ACTIVITY_TYPE_UPDATE_WALLET,
ACTIVITY_TYPE_CAST_VOTE,
ACTIVITY_TYPE_ENABLE_VOTING,
ACTIVITY_TYPE_STAKE,
ACTIVITY_TYPE_UNSTAKE,
ACTIVITY_TYPE_CHANGE_VALIDATOR,
ACTIVITY_TYPE_RESTAKE,
ACTIVITY_TYPE_ADDRESS_BOOK,
ACTIVITY_TYPE_TEAM_MEMBERS,
ACTIVITY_TYPE_BILLING,
ACTIVITY_TYPE_SECURITY,
ACTIVITY_TYPE_API,
ACTIVITY_TYPE_SETTINGS,
ACTIVITY_TYPE_SMART_CONTRACT,
ACTIVITY_TYPE_USER_CHANGE_REQUEST_NO_PAS,
ACTIVITY_TYPE_WEB3_TRANSACTION,
ACTIVITY_TYPE_WEB3_MESSAGE,
ACTIVITY_TYPE_CLAIM_REWARDS
num_approvals_remaining
integer<int32>
required
activity_id
string
required